%helper function that constructs the matrix used to correct mass spectras to get mass isotopomer distribution of labelled part of the compound
%see Lee et. Al
%p = vector that includes the probabilites of non carbon part of the compound having 0, 1,...,n extra neutrons
%lengthOfQ = how many mass isotopomers are there

function y = BuildAbundanceMatrix(p,lengthOfQ)

    r = length(p); %number of isotopomers
     
    
    % what if s < r ??????? p = q and q = p??
    if lengthOfQ < r
        myError('Length of second matrix should not be less than length of first matrix!','Error in BuildAbundanceMatrix');
        
    end
    
    abMatrix = zeros(r+lengthOfQ-1,lengthOfQ);
    
    for i = 1 : r
        for j = i : -1 : 1
            k = i - j; % r < s !!
            abMatrix(i,k+1) = p(j);
        end
    end
    
    for i = lengthOfQ : -1 : 1
        k = lengthOfQ - i + 2;
        l = r;
        while (k < lengthOfQ + 1) % dont fill row of matrix beyond end   
            abMatrix(r + lengthOfQ - i + 1, k) = p(l) ;
            l = l - 1;
            k = k +1;
        end
    end
    y = abMatrix;
            
    
    