%function that calculates conditional distribution of non labelled part of the fragment that was produced by zooming only to a certain mass isotopomer
%of the product
%i = number current fragment in fragments-structure
%natAbunds = unconditional probability of non labelled part of the fragment having 0,1,...,n extra neutrons

function y = CalculateCondIsotDistr(i,natAbuds)

    global fragments;

    moduloFragment = CreateModuloFragment(i);
    moduloAbundances = CalculateNatIsotopDistr(moduloFragment.formula, moduloFragment.atomCount,moduloFragment.peak);
    moduloAbundances = moduloAbundances(1:moduloFragment.peak + 1); 
    condAbMatrix = BuildAbundanceMatrix(moduloAbundances,moduloFragment.peak + 1);
    
    tempLabelDistr = fragments{1}.intensities; 
    
    %%tempLabelDistr = tempLabelDistr / sum(tempLabelDistr);
    tempLabelDistr = tempLabelDistr(1:moduloFragment.peak+1);

    
    condMoleculeDistr = condAbMatrix*tempLabelDistr;
    
    t = moduloFragment.peak + 1 - length(natAbuds);  % temporary hack, should be removed from future versions (or not ;)
    if t > 0
        natAbuds = cat(2, natAbuds, zeros(1,t));
    end
        
    for j = moduloFragment.peak + 1 : -1 : 1
        tempD(j) = condMoleculeDistr(moduloFragment.peak + 1 - j + 1)*natAbuds(j);
    end
    
    tempD = tempD / sum(tempD);
    
    y = tempD;