%function that corrects the mass isotopomer distribution of the labelled part of the product and it's framgents
%labelProbabilities = probabilites of non labelled part of the compound having certain amount of extra neutrons
%ints = intensities of mass spectra

function y = CalculateMassIsotopDistr(labelProbabilities, ints, amountOfCarbons) 

    global wrongNumberOfPeaksWarning;    

    m = transpose(ints);
    
    %tempDiff = amountOfCarbons + 1 -  length(labelProbabilities);
    %if tempDiff < 0
    %    lengthOfQ = amountOfCarbons - tempDiff + 1;
    %else
    %    lengthOfQ = amountOfCarbons + 1;
    %end
    
    lengthOfQ = length(m);
    
    tempDiff = length(labelProbabilities) - lengthOfQ;
    if tempDiff > 0 %too few peaks in spectra
        temp = zeros(tempDiff,1);
        m = cat(1,m,temp);
        lengthOfQ = length(m);
        else
        if tempDiff < 0 %too many peaks in spectra
            m = m(1:lengthOfQ + tempDiff);
            lengthOfQ = length(m); 
        end
    end
    
    abundanceMatrix = BuildAbundanceMatrix(labelProbabilities, lengthOfQ);
    abundanceMatrix = abundanceMatrix(1:lengthOfQ,:); %is this correct???
    
    temp = abundanceMatrix \ m;
    
    %find proportions that are <0 and change them to zeros
    
    negativePosits = find(temp < 0);
    for i = 1 : length(negativePosits)
        temp(negativePosits(i)) = 0;
    end
    
   
    
    y = temp;


        
   