%Function that creates a coefficient matrix corresponding certain framgent
%fragNum = index of the fragment in fragments-structure
%numOfC = number of labelled atoms in fragment
function y = CreateFragmentMatrix(fragNum, numOfC, origAbundances)

    global combinatorialMatrix;
    global fragments;
    
 
 
    if size(combinatorialMatrix ,1) ~= length(fragments{fragNum}.carbons)
        myError('Lengths of matrices do not match!','Error in CreateFragmentMatrix');
    end
    
    fragAtomCount=1;
    k=1;
    for i = 1:length(fragments{fragNum}.carbons)
        if fragments{fragNum}.carbons(i) == 1
            fragMultiplierMatrix(fragAtomCount,:) = combinatorialMatrix (i,:);
            fragAtomCount= fragAtomCount + 1;
        end
    end    
    
    fragAtomCount= fragAtomCount - 1;
    if size(fragMultiplierMatrix,1) > 1
        sumVector = sum(fragMultiplierMatrix);
    else
        sumVector = fragMultiplierMatrix;
    end
    totalSumVector = sum(combinatorialMatrix);
    

    if fragments{fragNum}.peak == -1
       rowCount = fragAtomCount + 1;
    else
        rowCount = min(fragments{fragNum}.peak + 1, fragAtomCount + 1);
    end
    colCount = length(combinatorialMatrix ); 
    
    
    l = fragments{fragNum}.peak;
    
    if l > -1
        matrix = zeros(rowCount,colCount);
        for i = 1 : rowCount
            for k = 1 : colCount
                %THN PUUKKOA
                %if (sumVector(k) == i - 1 & totalSumVector(k) == fragments{fragNum}.peak)
                if (sumVector(k) == i - 1)
                    n = l - totalSumVector(k);
                    if (n > -1)
                        %if (origAbundances(n + 1) == 0) %????
                        %    matrix(i,k) = 1;
                        %else
                         matrix(i,k) =  origAbundances(n + 1);
                            %end
                    end
                end
                
                %if (sumVector(i) == fragments{fragNum}.peak) & (totalSumVector(i) == fragments{fragNum}.peak)
                %    matrix(i) = 1;
                %end
            end
            
        end
        
    else
        matrix = zeros(rowCount,colCount);
        for i = 1: rowCount
            for k = 1: colCount 
                %%if (sumVector(k) == i - 1) & ((totalSumVector(k) == fragments{fragNum}.peak) | fragments{fragNum}.peak == -1) %is this correct??
                if (sumVector(k) == i - 1) %is this correct    
                    matrix(i,k) = 1;
                end
            end
        end
    end
   
    %remove empty rows
    %j = 1;
    %for i = 1: rowCount
    %    if sum(matrix(i,:)) > 0
    %            m(j,:)= matrix(i,:);
    %            j = j + 1;
    %    end
    %end
    
    y = matrix;
