%Initialization tasks that are necessary before calculations. Will include database lookups in future?
function y = Initialize()

   % build isotope table. This will be read from database
   
   global elements; %table of natural abundances
   global labelType; %which atom is labeled
   global significanceThreshold; %not currently used
   global isLastUnderDetermined; % was the positional matrix underdetermined
   global peakWarning;
   %global isDaughterScan;
   global epsilon; %tolerance level matrix inversion
   
   epsilon = 1E-8; 
   
   labelType = 'C';
   significanceThreshold = 0.000001;
   isLastUnderDetermined = 0;
  % isDaughterScan = 1;
   
   elements(1).name ='H';
   elements(1).weigth = 1;
   elements(1).isotopes = [0.99985, 0.00015];
   
   elements(2).name = 'C';
   elements(2).weigth = 12;
   elements(2).isotopes = [0.98912, 0.01088];
   
   elements(3).name = 'N';
   elements(3).weigth = 14;
   elements(3).isotopes = [0.99631, 0.00368];
   
   elements(4).name = 'O';
   elements(4).weigth = 16;
   elements(4).isotopes = [0.99761, 0.00039, 0.00200];
   
   elements(5).name = 'S';
   elements(5).weigth = 32;
   elements(5).isotopes = [0.95057, 0.00760, 0.04183];
   
   elements(6).name = 'D';
   elements(6).weigth = 12;
   elements(6).isotopes = [0.98912, 0.01088];

   elements(7).name = 'SI';
   elements(7).weigth = 28;
   elements(7).isotopes = [0.92166, 0.04701, 0.03134];
   

   

   