%Function that calculates the rank of different possible linear equation systems used to solve postional isotopomer distibution thet would
% result from different kinds of fragmenting schemes
%inputfile = name of the input file
%outputfile = name of the outputfile
function y = Inspect(inputFile,outputFile)

    global fragments; 
    global labelType;

    Initialize;
    fragments = ReadFile(inputFile, 1);
    
    %for i = 1 : length(fragments)
    %    t = find(fragments{i}.carbons);
    %    fragments{i}.intensities = zeros(1,length(t)+1);
    %end
    
    numOfCarbons = length(fragments{1}.carbons);  %amount of carbons in the molecule  
    fullRank = 2^numOfCarbons;
  
    multiplicationMatrix = CreateFullMatrix(numOfCarbons);
    origMultMatrix = multiplicationMatrix;
    %origFragments = fragments;
    %ranks = zeros(1,size(2,combinatorialMatrix));
    %currComb = 2;
    %isFullyDetermined = 0; 
    %numOfFrags = length(fragments);
    
    %try different zooming patterns
  
   
    for j = 1:length(fragments{1}.formula)
            if fragments{1}.formula{j} == labelType
                indexOfLabel = j;
                break;
            end
        end
    
    tempFormula = fragments{1}.formula;
    tempFormula(indexOfLabel)= [];
    tempAtomCount = fragments{1}.atomCount;
    tempAtomCount(indexOfLabel) = [];
                                                                                       
    naturalAbundances = CalculateNatIsotopDistr(tempFormula, tempAtomCount,numOfCarbons); 
    
    
    fragments = GeneratePossibleFragments;
    
     %create multiplication and mass matrices
    for i = 2: length(fragments)
      fragMultMatrix = CreateFragmentMatrix(i,numOfCarbons, naturalAbundances); 
      multiplicationMatrix = cat(1,multiplicationMatrix,fragMultMatrix);
    end
      
    rankOfSystem = rank(multiplicationMatrix);
    indIsot = CalculateIndepIsotops(multiplicationMatrix);
       
    WriteRanks(fragments{1}.formulaString, outputFile, rankOfSystem, indIsot, fullRank);
    
    y = rankOfSystem;