%function that outputs the ranks of linear equation systems resulting from different kinds of possible framgenting schemes
%molecule = string representation of product molecule
%outFile = name of the output file
%ranks = structure that contains different fragmenting scemes and their ranks
%full rank of the equation system
function y = WriteRanks(molecule, outFile, rank, indIsot, fullRank)

    fileName = strcat(outFile,'_rank.txt');
    
    fid = fopen(fileName,'w');
    
    if fid == -1
        myError ('Could not open file!','Error in WriteFile');
    end
    fprintf(fid,'%s\n',date);
    fprintf(fid,'%s: Rank of coefficient matrix of fully determined system is %2.0d\n\n',molecule,fullRank);
    fprintf(fid,'Rank of the coefficient matrix of system constructed from given fragments is %2.0d\n',rank);
    fprintf(fid,'Number of independent isotopomers discovered is %2.0d\n',indIsot);
    tempStr = '';
    
    fclose(fid);
    