%Function that tells if the fragA and fragB are same kind of fragments
function y = isSameFragment(fragA, fragB)

    %first quick scan of lengths
    
    if length(fragA) ~= length(fragB)
        y = 0;
        return
    end
    
    if length(fragA.formula) ~= length(fragB.formula)
        y = 0;
        return
    end
    
    if length(fragA.atomCount) ~= length(fragB.atomCount)
        y = 0;
        return
    end
    
    if length(fragA.carbons) ~= length(fragB.carbons)
        y = 0;
        return
    end
    
    if fragA.peak ~= fragB.peak
        y = 0;
        return
    end
    
    %more profound check
    
    temp = fragA.atomCount - fragB.atomCount;
    if sum(temp) ~= 0
        y = 0;
        return
    end
    
    
    for i = 1 : length(fragA.formula)
        if fragA.formula{i} ~= fragB.formula{i}
            y = 0;
            return
        end
    end
    
    for i = 1 : length(fragA.carbons)
        if fragA.carbons{i} ~= fragB.carbons{i}
            y = 0;
            return
        end
    end
    
    y = 1;
            